package com.platform.modules.plm.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import org.hibernate.validator.constraints.NotBlank;
/**
 * 视频发布信息表
 * 
 * @author weiyan
 * @email 
 * @date 2018-08-06 19:48:51
 */
@TableName("plm_video_news")
public class PlmVideoNewsEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	@NotBlank(message = "id不能为空")
	@TableId
	private Long id;
	//标题
	@NotBlank(message = "title不能为空")
	private String title;
	//标题图
	@NotBlank(message = "titleImg不能为空")
	private String titleImg;
	//资源封面图URl
	@NotBlank(message = "coverUrl不能为空")
	private String coverUrl;
	//资源URl
	@NotBlank(message = "materialUrl不能为空")
	private String materialUrl;
	//资源大小
	@NotBlank(message = "materialSize不能为空")
	private String materialSize;
	//资源大小
	@NotBlank(message = "fileSize不能为空")
	private Long fileSize;
	//资源时长（S）（视频、语音）
	@NotBlank(message = "materialDuration不能为空")
	private String materialDuration;
	//资源时长（视频、语音）
	@NotBlank(message = "playTime不能为空")
	private Long playTime;
	//发布渠道
	@NotBlank(message = "publishChannel不能为空")
	private String publishChannel;
	//视频来源 1趣看剪辑 2本地上传
	@NotBlank(message = "videoSources不能为空")
	private Integer videoSources;
	//视频路径
	@NotBlank(message = "videoUrl不能为空")
	private String videoUrl;
	//摘要
	@NotBlank(message = "description不能为空")
	private String description;
	//审核状态(-1 转码失败 0 转码中 ，1下载中，2 草稿，3，审核中，4，成品)
	@NotBlank(message = "status不能为空")
	private Integer status;
	//趣看转码消息
	@NotBlank(message = "message不能为空")
	private String message;
	//趣看任务ID
	@NotBlank(message = "taskId不能为空")
	private Long taskId;
	//趣看资源ID
	@NotBlank(message = "materialId不能为空")
	private Long materialId;
	//趣看合成开始时间
	@NotBlank(message = "startTime不能为空")
	private Date startTime;
	//趣看合成结束时间
	@NotBlank(message = "stopTime不能为空")
	private Date stopTime;
	//审核意见
	@NotBlank(message = "auditOpinion不能为空")
	private String auditOpinion;
	//创建日期
	@NotBlank(message = "createDate不能为空")
	private Date createDate;
	//创建人
	@NotBlank(message = "createUser不能为空")
	private Long createUser;
	//修改日期
	@NotBlank(message = "updateDate不能为空")
	private Date updateDate;
	//修改人
	@NotBlank(message = "updateUser不能为空")
	private Long updateUser;
	//审核日期
	@NotBlank(message = "auditDate不能为空")
	private Date auditDate;
	//审核人
	@NotBlank(message = "auditUser不能为空")
	private Long auditUser;
	//是否删除
	@NotBlank(message = "isDelete不能为空")
	private Integer isDelete;
	
	@TableField(exist=false)
	private String updateUserName;
	@TableField(exist=false)
	private String createUserName;
	@TableField(exist=false)
	private String auditUserName;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：标题
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * 获取：标题
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * 设置：标题图
	 */
	public String getTitleImg() {
		return titleImg;
	}
	/**
	 * 获取：标题图
	 */
	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}
	/**
	 * 设置：资源封面图
	 */
	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}
	/**
	 * 获取：资源封面图
	 */
	public String getCoverUrl() {
		return coverUrl;
	}
	/**
	 * 设置：资源URl
	 */
	public void setMaterialUrl(String materialUrl) {
		this.materialUrl = materialUrl;
	}
	/**
	 * 获取：资源URl
	 */
	public String getMaterialUrl() {
		return materialUrl;
	}
	public String getMaterialSize() {
		return materialSize;
	}
	public void setMaterialSize(String materialSize) {
		this.materialSize = materialSize;
	}
	public Long getFileSize() {
		return fileSize;
	}
	public void setFileSize(Long fileSize) {
		this.fileSize = fileSize;
	}
	public String getMaterialDuration() {
		return materialDuration;
	}
	public void setMaterialDuration(String materialDuration) {
		this.materialDuration = materialDuration;
	}
	public Long getPlayTime() {
		return playTime;
	}
	public void setPlayTime(Long playTime) {
		this.playTime = playTime;
	}
	/**
	 * 设置：发布渠道
	 */
	public void setPublishChannel(String publishChannel) {
		this.publishChannel = publishChannel;
	}
	/**
	 * 获取：发布渠道
	 */
	public String getPublishChannel() {
		return publishChannel;
	}
	/**
	 * 设置：视频来源 1趣看剪辑 2本地上传
	 */
	public void setVideoSources(Integer videoSources) {
		this.videoSources = videoSources;
	}
	/**
	 * 获取：视频来源 1趣看剪辑 2本地上传
	 */
	public Integer getVideoSources() {
		return videoSources;
	}
	/**
	 * 设置：视频路径
	 */
	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}
	/**
	 * 获取：视频路径
	 */
	public String getVideoUrl() {
		return videoUrl;
	}
	/**
	 * 设置：摘要
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * 获取：摘要
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * 设置：审核状态(0 转码中 ，1下载中，2 草稿，3，审核中，4，成品)
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 获取：审核状态(0 转码中 ，1下载中，2 草稿，3，审核中，4，成品)
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 设置：趣看转码返回信息
	 */
	public String getMessage() {
		return message;
	}
	/**
	 * 设置：趣看转码返回信息
	 */
	public void setMessage(String message) {
		this.message = message;
	}
	/**
	 * 设置：趣看任务ID
	 */
	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}
	/**
	 * 获取：趣看任务ID
	 */
	public Long getTaskId() {
		return taskId;
	}
	/**
	 * 设置：趣看资源ID
	 */
	public void setMaterialId(Long materialId) {
		this.materialId = materialId;
	}
	/**
	 * 获取：趣看资源ID
	 */
	public Long getMaterialId() {
		return materialId;
	}
	/**
	 * 设置：趣看合成开始时间
	 */
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	/**
	 * 获取：趣看合成开始时间
	 */
	public Date getStartTime() {
		return startTime;
	}
	/**
	 * 设置：趣看合成结束时间
	 */
	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}
	/**
	 * 获取：趣看合成结束时间
	 */
	public Date getStopTime() {
		return stopTime;
	}
	/**
	 * 设置：审核意见
	 */
	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}
	/**
	 * 获取：审核意见
	 */
	public String getAuditOpinion() {
		return auditOpinion;
	}
	/**
	 * 设置：创建日期
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：创建日期
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：创建人
	 */
	public void setCreateUser(Long createUser) {
		this.createUser = createUser;
	}
	/**
	 * 获取：创建人
	 */
	public Long getCreateUser() {
		return createUser;
	}
	/**
	 * 设置：修改日期
	 */
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	/**
	 * 获取：修改日期
	 */
	public Date getUpdateDate() {
		return updateDate;
	}
	/**
	 * 设置：修改人
	 */
	public void setUpdateUser(Long updateUser) {
		this.updateUser = updateUser;
	}
	/**
	 * 获取：修改人
	 */
	public Long getUpdateUser() {
		return updateUser;
	}
	/**
	 * 设置：审核日期
	 */
	public void setAuditDate(Date auditDate) {
		this.auditDate = auditDate;
	}
	/**
	 * 获取：审核日期
	 */
	public Date getAuditDate() {
		return auditDate;
	}
	/**
	 * 设置：审核人
	 */
	public void setAuditUser(Long auditUser) {
		this.auditUser = auditUser;
	}
	/**
	 * 获取：审核人
	 */
	public Long getAuditUser() {
		return auditUser;
	}
	/**
	 * 设置：是否删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	public String getUpdateUserName() {
		return updateUserName;
	}
	public void setUpdateUserName(String updateUserName) {
		this.updateUserName = updateUserName;
	}
	public String getCreateUserName() {
		return createUserName;
	}
	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}
	public String getAuditUserName() {
		return auditUserName;
	}
	public void setAuditUserName(String auditUserName) {
		this.auditUserName = auditUserName;
	}
	
	
	
}
